summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcat-7
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:47:09 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:47 +0200
commitcdc3c0cf898d10fbce186759f301623461504e24 (patch)
tree1e2477fb58f8372c5ef83b97f17fed1d5a7b3013 /gettext-tools/tests/msgcat-7
parent39ee1259d0b19d140a91e31ee3e6a95b43a657bb (diff)
downloadexternal_gettext-cdc3c0cf898d10fbce186759f301623461504e24.zip
external_gettext-cdc3c0cf898d10fbce186759f301623461504e24.tar.gz
external_gettext-cdc3c0cf898d10fbce186759f301623461504e24.tar.bz2
Move tests/msgcat-7 to gettext-tools/tests/msgcat-7.
Diffstat (limited to 'gettext-tools/tests/msgcat-7')
-rwxr-xr-xgettext-tools/tests/msgcat-744
1 files changed, 44 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcat-7 b/gettext-tools/tests/msgcat-7
new file mode 100755
index 0000000..22e4c24
--- /dev/null
+++ b/gettext-tools/tests/msgcat-7
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+# Verify 'msgcat --sort-output'
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcat-test7.in1"
+cat <<EOF > mcat-test7.in1
+#: clients/inst_language.ycp:119
+msgid "two"
+msgstr "2"
+
+#: clients/inst_language.ycp:108
+msgid ""
+"one"
+msgstr ""
+"1"
+EOF
+
+tmpfiles="$tmpfiles mcat-test7.out"
+rm -f mcat-test7.out
+: ${MSGCAT=msgcat}
+${MSGCAT} mcat-test7.in1 --sort-output -o mcat-test7.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcat-test7.ok"
+cat << EOF > mcat-test7.ok
+#: clients/inst_language.ycp:108
+msgid "one"
+msgstr "1"
+
+#: clients/inst_language.ycp:119
+msgid "two"
+msgstr "2"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcat-test7.ok mcat-test7.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result